<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
   <xsl:template match="TEI.2">
  <html>
    <head> <title><xsl:value-of select="teiHeader/fileDesc/titleStmt/title"/></title></head>
      <body style="color: black; font-size:12.0pt; font-family: Times New Roman; margin-left: 5%; margin-right: 25%">
       <xsl:apply-templates select="text/body"/>
    </body>
   </html>
</xsl:template>
<xsl:template match="catEntry">
<div><xsl:apply-templates/>
<xsl:if test=".//note[@place='foot']">
<xsl:for-each select=".//note[@place='foot']">
<xsl:apply-templates  select="."  mode="shownotes"/>
</xsl:for-each>
</xsl:if>
</div>

</xsl:template>
 <xsl:include href="global-body-ckc.xslt"/>
 <xsl:include href="footnote-handler-kcanon.xslt"/>
 
 <!-- Xref (1) To select a bracketed URL -->

  <xsl:template match="xref[@type='url']">
   <xsl:variable name="url" select="."/>
<a href="{$url}"><xsl:apply-templates/></a>
    
    </xsl:template>

<!-- Xref (2) To take the rend attribute as the URL to be appled to bracketed text -->

  <xsl:template match="xref[@url]">
    <xsl:variable name="hlink" select="@url"/>
<a href="{$hlink}"><xsl:apply-templates/></a>
  </xsl:template>
  
  <!-- Xref (3) To take the rend attribute as the pointer to an internal anchor -->

  <xsl:template match="xref[@to]">
    <xsl:variable name="pointer" select="@to"/>
<a href="#{$pointer}"><xsl:apply-templates/></a>
    </xsl:template>
</xsl:stylesheet>
