<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

<!-- CM 2003-03-22 Start Div handler, part 1-->
<!-- Get the div number into a variable -->
  <xsl:template match="label">
       <xsl:if test="parent::catEntry">
 <hr/>
      <p class="head1web">
<xsl:variable name="divnum" select="ancestor::catEntry[1]/@id"/>
<!-- Now to write the anchor and hyperlink -->

<a>
<xsl:attribute name="name">div-<xsl:value-of select="$divnum"/></xsl:attribute>

        <xsl:if test="../@id">            
          <xsl:value-of select="../@id"/><xsl:text>. </xsl:text>
        </xsl:if>
          <xsl:apply-templates/>
        </a>
</p>
</xsl:if>
    <xsl:if test="parent::div2">
      <p class="head2web">
        <xsl:apply-templates/>
      </p>
    </xsl:if>
    <xsl:if test="parent::div3">
      <p class="head3web">
        <xsl:apply-templates/>
      </p>
    </xsl:if>
</xsl:template>

<xsl:template match="head" mode="showlabels">
<xsl:variable name="divnum" select="ancestor::catEntry[1]/@id"/>
<tr>
<!-- MB 2003-03-22
*   Output the reference no in a right-aligned table cell. This ensures correct
*   vertical alignment of the numbers, no matter how many places they have
*   The valign value of "top" ensures that that number will remain in the correct
*   horizontal alignment against the first line ot the title even if the title itself wraps
*  on to a second or even third line
-->
<td align="right" valign="top">
<!-- Leave the cell empty if we don't have a number (preventing an orphaned period)
-->
<xsl:if test="$divnum">
<xsl:value-of select="$divnum"/><xsl:text>. </xsl:text>
</xsl:if>
</td>
<!-- write the <a>element target for the link reference. Use AVT notation to
*     insert the attribute value. Putting the title into a table cell ensures
*     all titles left-align correctly, no matter what the size of the numeral
*     (if any) that precedes them
-->
<td><a href="#div-{$divnum}"><xsl:apply-templates/></a></td>    
</tr>

<!-- Finish Div handler, part 2 -->

  </xsl:template>

</xsl:stylesheet>
